StateConsumptionDetails
Keywords: net.corda.core.flows.StateConsumptionDetails class
Date: 2023-09-18

net.corda.core.flows

## Class StateConsumptionDetails

- net.corda.core.flows.StateConsumptionDetails

-     public class StateConsumptionDetails

  Contains information about the consuming transaction for a particular state.

- - ### Constructor Detail

    - #### StateConsumptionDetails

          public StateConsumptionDetails(@NotNull
                                         SecureHash hashOfTransactionId,
                                         @NotNull
                                         net.corda.core.flows.StateConsumptionDetails.ConsumedStateType type)

      Contains information about the consuming transaction for a particular state.

      Parameters:
        `hashOfTransactionId` -

        Hash of the consuming transaction id.

        Note that this is NOT the transaction id itself – revealing it could lead to privacy leaks.

        `type` - The type of consumed state: either a reference input state or a regular input state.

    - #### StateConsumptionDetails

          public StateConsumptionDetails(@NotNull
                                         SecureHash hashOfTransactionId)

  - ### Method Detail

    - #### copy

          @NotNull
          public StateConsumptionDetails copy(@NotNull
                                                       SecureHash hashOfTransactionId)

    - #### getHashOfTransactionId

          @NotNull
          public SecureHash getHashOfTransactionId()

      Hash of the consuming transaction id.

      Note that this is NOT the transaction id itself – revealing it could lead to privacy leaks.

    - #### getType

          @NotNull
          public net.corda.core.flows.StateConsumptionDetails.ConsumedStateType getType()

      The type of consumed state

      : either a reference input state or a regular input state.

    - #### component1

          @NotNull
          public SecureHash component1()

      Hash of the consuming transaction id.

      Note that this is NOT the transaction id itself – revealing it could lead to privacy leaks.

    - #### component2

          @NotNull
          public net.corda.core.flows.StateConsumptionDetails.ConsumedStateType component2()

      The type of consumed state

      : either a reference input state or a regular input state.

    - #### copy

          @NotNull
          public StateConsumptionDetails copy(@NotNull
                                                       SecureHash hashOfTransactionId,
                                                       @NotNull
                                                       net.corda.core.flows.StateConsumptionDetails.ConsumedStateType type)

      Contains information about the consuming transaction for a particular state.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Contains information about the consuming transaction for a particular state.

    - #### hashCode

          public int hashCode()

      Contains information about the consuming transaction for a particular state.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Contains information about the consuming transaction for a particular state.